%define _name bmp
%define pre %nil
%define beta %nil
%def_disable static

Name: beep-extra-plugins
Version: 0.2.2
Release: alt0.5%pre.1

Summary: Extra plugins for Beep
License: GPL
Group: Sound
Url: http://www.t17.ikarnet.pl/~wiget/

Source: %url/bmp-extra-plugins/download/%_name-extra-plugins-%version.tar.bz2
Patch: %_name-extra-plugins-0.2.2-alt-configure.patch

Requires: beep-statusdocklet = %version-%release beep-lirc = %version-%release
Requires: beep-xf86audio = %version-%release beep-scrobbler = %version-%release
Requires: beep-input-mplayer = %version-%release beep-input-musepack = %version-%release
Requires: beep-output-arts = %version-%release beep-output-crossfade = %version-%release
Requires: beep-output-ogg = %version-%release
Requires: beep-visualization-minilcd = %version-%release
Requires: beep-visualization-blur = %version-%release
Requires: beep-visualization-discotux = %version-%release

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Wed Dec 15 2004
#BuildRequires: ORBit2-devel bc esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libarts-devel libatk-devel libaudiofile-devel libbeep-devel libbonobo2-devel libcurl-devel libgtk+2-devel liblirc-devel libmusicbrainz-devel libogg-devel libpango-devel libssl-devel libstdc++-devel libvorbis-devel pkgconfig xorg-x11-devel-static xorg-x11-libs zlib-devel
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs bc esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libarts-devel libatk-devel libaudiofile-devel libbeep-devel libbonobo2-devel libcurl-devel libgtk+2-devel liblirc-devel libmusicbrainz-devel libogg-devel libpango-devel libssl-devel libstdc++-devel libvorbis-devel pkgconfig zlib-devel

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

Beep is a GTK+2 port of XMMS. This package provides a set of plugins
that have been ported to Beep Media Player, but are not included in the
main BeepMP sources.

%description -l ru_RU.KOI8-R
X MultiMedia System -   .    
  WinAmp,     WinAmp.  
   : mp3s, mods, s3ms,   . 
    input, output, general,  visualization .

%package common
Summary: Common files for %name
Group: Sound
Requires: beep

%description common
This package provides common files for Beep Media Player extra plugins

%package -n beep-statusdocklet
Summary: Beep Media Player status docklet for the GNOME panel
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-statusdocklet
This package provides a Beep Media Player status docklet for the GNOME
notification area.

%package -n beep-lirc
Summary: Beep Media Player lirc plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-lirc
This package provides a Beep Media Player lirc plugin.

%package -n beep-xf86audio
Summary: Beep Media Player plugin to use with some keyboards with media-control keys
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-xf86audio
This package provides a Beep Media Player plugin to enable control over
playback via the XF86Audio* keysyms, as produced by some keyboards with
media-control keys.

%package -n beep-scrobbler
Summary: Beep Media Player plugin for reading music metadata
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-scrobbler
This package provides a Beep Media Player plugin for the reading of
music metadata (specifically ID3v1, ID3v2, APE1 (untested), APE2,
Vorbis, and FLAC tags) and the querying of MusicBrainz to determine the
metadata for an audio CD.

%package -n beep-input-mplayer
Summary: Beep Media Player Mplayer input plugin
Group: Sound
Requires: %name-common = %version-%release
Requires: MPlayer

%description -n beep-input-mplayer
This package provides a Beep Media Player input plugin that uses MPlayer
to play video files.

%package -n beep-input-musepack
Summary: Beep Media Player musepack input plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-input-musepack
This package provides a Beep Media Player musepack input plugin

%package -n beep-output-arts
Summary: Beep Media Player aRts output plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-output-arts
This package provides a Beep Media Player plugin to play through aRts.

%package -n beep-output-crossfade
Summary: Beep Media Player crossfade output plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-output-crossfade
This package provides a Beep Media Player output plugin for Crossfading / Continuous Output
Features:
* Crossfading
* Continuous output
* Gap-Killer: Some mp3-encoders produce small gaps of silence at the
  beginning or end of the stream. They can automatically be detected
  and removed.

%package -n beep-output-ogg
Summary: Beep Media Player output plugin to write Ogg files.
Group: Sound
Requires: %name-common = %version-%release
Requires: vorbis-tools

%description -n beep-output-ogg
This package provides a Beep Media Player lets write Ogg Vorbis files.

%package -n beep-visualization-blur
Summary: Beep Media Player "Blur Scope" visualization plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-visualization-blur
This package provides a Beep Media Player "Blur Scope" visualization plugin.

%package -n beep-visualization-minilcd
Summary: Beep Media Player mini LCD visualization plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-visualization-minilcd
This package provides a Beep Media Player visualization plugin that
displays some info on 2-line LCD

%package -n beep-visualization-discotux
Summary: Beep Media Player wmDiscoTux visualization plugin
Group: Sound
Requires: %name-common = %version-%release

%description -n beep-visualization-discotux
This package provides a Beep Media Player visualization plugin with Tux
that moves his bodyparts with the music.

%prep
%setup -q -n %_name-extra-plugins-%version
%patch -p1 -b .old
find ./ -name "Makefile.am" -print0 |xargs -r0 %__subst 's,\$(\(BEEP_[A-Z]*_PLUGIN_DIR\)),@\1@,' --

%build
%set_verify_elf_method textrel=relaxed
%__autoconf
%configure \
	--disable-rpath \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_beep_libdir/*/*.la

%if_disabled static
%__rm -f %buildroot%_beep_libdir/*/*.a
%endif

%find_lang %_name-extra-plugins

%files

%files common -f %_name-extra-plugins.lang

%files -n beep-statusdocklet
%_beep_general_dir/statusdocklet.so
%_beep_datadir/status_docklet
%doc general/status/{AUTHORS,README*,NEWS*,CREDITS,TODO}

%files -n beep-lirc
%_beep_general_dir/lirc.so
%doc general/lirc/{AUTHORS,ChangeLog,NEWS,README}

%files -n beep-xf86audio
%_beep_general_dir/xf86audio.so
%doc general/xf86audio/README

%files -n beep-scrobbler
%_beep_general_dir/scrobbler.so
%doc general/scrobbler/{AUTHORS,ChangeLog,NEWS,README*}

%files -n beep-input-mplayer
%_beep_input_dir/mplayer.so
%doc input/mplayer/{AUTHORS,ChangeLog,NEWS,README,TODO}

%files -n beep-input-musepack
%_beep_input_dir/musepack.so
%doc input/musepack/ChangeLog

%files -n beep-output-arts
%_bindir/bmp-arts-helper
%_beep_output_dir/arts.so
%doc output/arts/{AUTHORS,ChangeLog,NEWS,README}

%files -n beep-output-crossfade
%_beep_output_dir/crossfade.so
%doc output/crossfade/{AUTHORS,ChangeLog,README,TODO}

%files -n beep-output-ogg
%_beep_output_dir/oggre.so
%doc output/ogg/{AUTHORS,ChangeLog,NEWS,README}

%files -n beep-visualization-blur
%_beep_visualization_dir/blursk.so
%doc visualization/blursk/{AUTHORS,ChangeLog,NEWS,README}

%files -n beep-visualization-minilcd
%_beep_visualization_dir/minilcd.so
%doc visualization/minilcd/{README,TODO}

%files -n beep-visualization-discotux
%_beep_visualization_dir/wmdiscotux.so
%doc visualization/wmdiscotux/README

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.2-alt0.5.1
- Rebuilt with libstdc++.so.6.

* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt0.5
- fixed buildreqs.

* Thu Nov 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt0.4
- new version.

* Wed Sep 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.3
- fixed build against beep-0.9.7rc2.
- beep-extra-plugins virtual package.

* Wed May 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.2
- rebuild with new musicbrainz (2.1.1)

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.1
- new version.
- minilcd subpackage.

* Mon Jan 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.0-alt0.1
- First build for Sisyphus.
